quarkus.http.root-path=/api/v1/contract-service/
quarkus.jib.base-jvm-image=cgr.dev/chainguard/jre:latest
quarkus.http.non-application-root-path=/
quarkus.smallrye-health.root-path=health
quarkus.jib.jvm-additional-arguments=-Djavax.net.ssl.trustStore=/etc/ssl/certs/java/cacerts

### OPENAPI and SWAGGER-UI ###
quarkus.smallrye-openapi.info-title=Contract Service REST API
quarkus.smallrye-openapi.info-description=OpenAPI specification of EuroDaT's Database Service API
quarkus.smallrye-openapi.info-contact-name=EuroDaT support
quarkus.smallrye-openapi.info-contact-url=https://www.eurodat.org
quarkus.smallrye-openapi.info-license-name=Apache 2.0
quarkus.smallrye-openapi.info-license-url=https://www.apache.org/licenses/LICENSE-2.0.html
quarkus.smallrye-openapi.security-scheme=jwt
quarkus.swagger-ui.always-include=true
quarkus.swagger-ui.title=EuroDaT Swagger UI
quarkus.swagger-ui.layout=BaseLayout
quarkus.swagger-ui.path=api/v1/contract-service/swagger-ui
quarkus.smallrye-openapi.path=api/v1/contract-service/openapi
quarkus.smallrye-openapi.servers=https://localhost:8443

### DATASOURCE ###
%prod.quarkus.datasource.username=contract_service
%prod.quarkus.datasource.password=${QUARKUS_DATASOURCE_PASSWORD}
%prod.quarkus.datasource.reactive.url=${QUARKUS_DATASOURCE_URL}

### LOGGING ###
quarkus.rest-client.logging.body-limit=1024
# without effect for debug level >DEBUG
quarkus.rest-client.logging.scope=request-response
quarkus.log.min-level=INFO
quarkus.log.category."org.hibernate.engine.jdbc.spi.SqlExceptionHelper".level=FATAL

### OPENTELEMETRY ###
quarkus.otel.exporter.otlp.traces.endpoint=${OTLP_ENDPOINT}
quarkus.otel.exporter.otlp.traces.headers=authorization=Bearer ${OTLP_SECRET}
%test.quarkus.otel.enabled=false
%test.quarkus.jacoco.report-location=build/reports/jacoco/test/
%test.quarkus.jacoco.data-file=build/jacoco/jacoco-quarkus.exec
quarkus.log.console.format=%d{HH:mm:ss} %-5p traceId=%X{traceId}, parentId=%X{parentId}, spanId=%X{spanId}, sampled=%X{sampled} [%c{2.}] (%t) %s%e%n

### PAPERLESS ###
quarkus.rest-client.paperless-client.url=${PAPERLESS_URL:http://localhost:5555}
quarkus.rest-client.paperless-client.scope=jakarta.inject.Singleton
paperless.api-key=${PAPERLESS_API_KEY:testkey}
paperless.password=${PAPERLESS_PASSWORD:password}
quarkus.jackson.serialization-inclusion=non_null

### TESTING ###
quarkus.devservices.enabled=false
%test.quarkus.oidc.auth-server-url=${keycloak.url:https://no-host}/realms/quarkus/
%test.quarkus.vertx.max-event-loop-execute-time=15s
quarkus.http.test-timeout=300s

### FLYWAY ###
quarkus.flyway.schemas=public
